/*************************************************************************************
 *
 *  direct.h:  direct N-body algorithm
 *
 *  Copyright (c) 2007 Jakub Schwarzmeier
 *  University of West Bohemia, Department of General Physics
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or (at
 *  your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ************************************************************************/

#ifndef _JSSIMULATION_DIRECT_H
#define _JSSIMULATION_DIRECT_H

#include "bh.h"

class Direct
{
public:

	Direct(double G, double dt);
	void SetLeaves( std::vector<JakubSchwarzmeier::Simulations::BarnesHut::Leaf*> * n_ptrLeavesList );
	void Step();
	void Write(JakubSchwarzmeier::Simulations::BarnesHut::DataWriter * dw);

protected:

	std::vector<JakubSchwarzmeier::Simulations::BarnesHut::Leaf*> * m_ptrLeavesList;
	double m_G, m_dt;
};

#endif //  _JSSIMULATION_DIRECT_H
