#ifndef __ANIMATION_H__
#define __ANIMATION_H__

#include "chunkdesc.h"

//  forward declaration
class CVisualization;

class CAnimation
{
public:
	CAnimation(void);
	~CAnimation(void);

	std::vector<CChunkDesc*> * GetChunks();

	double GetStartSnapshot();
	void SetStartSnapshot(double startTime);

	CCamera * GetStartCamera();
	void SetStartCamera( CCamera * startMatrix );

	virtual void Serialize(xmlDoc * pXmlDoc, xmlNode * branch);
	virtual void Deserialize(xmlDoc * pXmlDoc, xmlNode * pXmlNode);

	void SetOutputVideo(std::string outputVideo);
	std::string GetOutputVideo();

	void SetFps(double fps);
	double GetFps();

	//  video create
	size_t Create (CVisualization * vis, double fps, int w, int h);
	void Finish();
	void Update();

protected:

	std::vector<CChunkDesc*> m_chunks;

	//  first frame (camera)
	CCamera * m_startCamera;
	int m_startSnapshot;

	//  video create
	CvVideoWriter * m_pVideoWriter;
	std::string m_outputVideo;
	int m_width, m_height;
	int m_initWidth, m_initHeight;
	double m_fps;
	CCamera * m_internalCamera;
	CVisualization * m_pVisualization;
	size_t m_iChunk;
	signed int m_iChunkPos;
	wxImage m_image;

	static std::string s_strAnimation;
	static std::string s_strCameraChunks;
	static std::string s_strCameraChunk;

	static std::string s_strStartSnapshot;
	static std::string s_strStartCamera;

	static std::string s_strFps;
	static std::string s_strOutputVideo;
};

#endif //  __ANIMATION_H__
