/////////////////////////////////////////////////////////////////////////////
// Name:        CamerasPanel.h
// Purpose:     
// Author:      Jakub Schwarzmeier
// Modified by: 
// Created:     02/02/2007 10:22:22
// RCS-ID:      
// Copyright:   
// Licence:     
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"

#ifndef _CAMERASPANEL_H_
#define _CAMERASPANEL_H_

#if defined(__GNUG__) && !defined(NO_GCC_PRAGMA)
#pragma interface "CamerasPanel.h"
#endif

/*!
 * Includes
 */

////@begin includes
#include "wx/xrc/xmlres.h"
#include "wx/treectrl.h"
////@end includes

/*!
 * Forward declarations
 */

////@begin forward declarations
class wxTreeCtrl;
////@end forward declarations

/*!
 * Control identifiers
 */

////@begin control identifiers
#define IDD_CAMERASPANEL 10044
#define SYMBOL_CCAMERASPANEL_STYLE 0
#define SYMBOL_CCAMERASPANEL_TITLE _("Cameras")
#define SYMBOL_CCAMERASPANEL_IDNAME IDD_CAMERASPANEL
#define SYMBOL_CCAMERASPANEL_SIZE wxDefaultSize
#define SYMBOL_CCAMERASPANEL_POSITION wxDefaultPosition
////@end control identifiers

/*!
 * Compatibility
 */

#ifndef wxCLOSE_BOX
#define wxCLOSE_BOX 0x1000
#endif

/*!
 * CCamerasPanel class declaration
 */

class CCamerasPanel: public wxPanel
{    
    DECLARE_DYNAMIC_CLASS( CCamerasPanel )
    DECLARE_EVENT_TABLE()

public:
    /// Constructors
    CCamerasPanel( );
    CCamerasPanel( wxWindow* parent, wxWindowID id = SYMBOL_CCAMERASPANEL_IDNAME, const wxPoint& pos = SYMBOL_CCAMERASPANEL_POSITION, const wxSize& size = SYMBOL_CCAMERASPANEL_SIZE, long style = SYMBOL_CCAMERASPANEL_STYLE );

    /// Creation
    bool Create( wxWindow* parent, wxWindowID id = SYMBOL_CCAMERASPANEL_IDNAME, const wxPoint& pos = SYMBOL_CCAMERASPANEL_POSITION, const wxSize& size = SYMBOL_CCAMERASPANEL_SIZE, long style = SYMBOL_CCAMERASPANEL_STYLE );

    /// Initialises member variables
    void Init();

    /// Creates the controls and sizers
    void CreateControls();

////@begin CCamerasPanel event handler declarations

    /// wxEVT_COMMAND_BUTTON_CLICKED event handler for ID_ADDCAMERA
    void OnAddCamera( wxCommandEvent& event );

    /// wxEVT_COMMAND_BUTTON_CLICKED event handler for ID_REMOVECAMERA
    void OnRemovecameraClick( wxCommandEvent& event );

    /// wxEVT_UPDATE_UI event handler for ID_REMOVECAMERA
    void OnRemovecameraUpdate( wxUpdateUIEvent& event );

    /// wxEVT_COMMAND_TREE_ITEM_ACTIVATED event handler for ID_CAMERAS
    void OnCamerasItemActivated( wxTreeEvent& event );

////@end CCamerasPanel event handler declarations

////@begin CCamerasPanel member function declarations

    /// Retrieves bitmap resources
    wxBitmap GetBitmapResource( const wxString& name );

    /// Retrieves icon resources
    wxIcon GetIconResource( const wxString& name );
////@end CCamerasPanel member function declarations

    /// Should we show tooltips?
    static bool ShowToolTips();

////@begin CCamerasPanel member variables
    wxTreeCtrl* m_camerasCtrl;
////@end CCamerasPanel member variables

	void UpdateCameras();

};

#endif
    // _CAMERASPANEL_H_
