#ifndef __CHUNKDESC_H__
#define __CHUNKDESC_H__

#include <memory>
#include <schwarzmeier/std.h>
#include "camera.h"

class CChunkDesc
{
public:
	CChunkDesc(void);
	CChunkDesc( const CChunkDesc & original );
	~CChunkDesc(void);

	CChunkDesc & operator=( const CChunkDesc & right_side );

	double GetDuration();
	void SetDuration(double durationTime);

	long GetEndSnapshot();
	void SetEndSnapshot(long snapShot);

	CCamera * GetEndCamera();
	void SetEndCamera( CCamera * endMatrix );

	virtual xmlNode * Serialize(xmlDoc * pXmlDoc, xmlNode * pXmlNode);
	virtual void Deserialize( xmlDoc * pXmlDoc, xmlNode * pXmlNode );

protected:

	CCamera * m_endCamera;

	int m_endSnapshot;

	double m_durationTime;	//  animation timespan

	static std::string s_strCameraChunk;
	static std::string s_strSnapshot;
	static std::string s_strDurationTime;
	static std::string s_strEndCamera;
};

#endif	//  __CHUNKDESC_H__
