// DigalexDoc.cpp : implementation of the CDigalexDoc class
//

#include "stdafx.h"
#include "DigalexApp.h"
#include "DigalexDoc.h"
#include "DigalexView.h"
#include "MainFrame.h"




// CDigalexDoc

IMPLEMENT_DYNAMIC_CLASS (CDigalexDoc, wxDocument)

BEGIN_EVENT_TABLE(CDigalexDoc, wxDocument)
END_EVENT_TABLE()


CDigalexDoc::CDigalexDoc()
{
	m_pVisualization = NULL;
}

CDigalexDoc::~CDigalexDoc()
{
	if (m_pVisualization == NULL)  throw;
	delete m_pVisualization ;
}

bool CDigalexDoc::OnCreate(const wxString& path, long flags)
{
	if (m_pVisualization != NULL)  throw;
	m_pVisualization = new CVisualization;

	CMainFrame * frame = ::wxGetApp().GetMainFrame();

	//  Parent implementation creates view, so we do

	//  Create first frame
	frame->CreateChildFrame(this, 0);

	return true;
}

bool CDigalexDoc::Close()
{
	return wxDocument::Close();
}

bool CDigalexDoc::OnOpenDocument(const wxString& filename)
{
	m_starArchive.Open( filename );

	xmlDoc * pXmlDoc = xmlParseFile( (const char *)filename.c_str() );
	xmlNode * pRootNode = xmlDocGetRootElement(pXmlDoc);

	//
	m_pVisualization->Deserialize( pXmlDoc, pRootNode );

	xmlFreeDoc(pXmlDoc);

	return wxDocument::OnOpenDocument( filename );
}

bool CDigalexDoc::OnSaveDocument(const wxString& filename)
{
	/*
	JakubSchwarzmeier::wx::CSerializeWriter writer( filename );
	CDigalexDoc * doc = this;
	writer.Append( reinterpret_cast<wxObject**>( &doc ), wxString("document"));
*/

	char * szLoc = setlocale( LC_NUMERIC, NULL ); \
	setlocale( LC_NUMERIC, "English" );

	//  Write XML file
	xmlThrDefIndentTreeOutput( 1 );
	xmlKeepBlanksDefault(0);

	xmlDoc * pXmlDoc = xmlParseFile( (const char *)filename.c_str() );
	xmlNode * pRootNode = xmlDocGetRootElement(pXmlDoc);

	//
	m_pVisualization->Serialize( pXmlDoc, pRootNode );

	//
	xmlSaveFormatFileEnc( filename.c_str(), pXmlDoc, "ISO-8859-2", 1 );
	xmlFreeDoc(pXmlDoc);

	setlocale( LC_NUMERIC, szLoc );	

	Modify( false );

	return true;
}

bool CDigalexDoc::OnSerialize( JakubSchwarzmeier::wx::CSerializeReaderWriter * dir )
{
//	dir->Append(  reinterpret_cast<wxObject**>( &m_visual ), wxString("m_visual") );

	return true;
}

CStarArchive * CDigalexDoc::GetStarArchive()
{
	return &m_starArchive;
}

CVisualization * CDigalexDoc::GetVisualization()
{
	return m_pVisualization;
}
