// NostradamusDoc.h : interface of the CDigalexDoc class
//

#ifndef __RECOGNITADOC_H__
#define __RECOGNITADOC_H__

#include "StarArchive.h"
#include "Visualization.h"

class CDigalexDoc: public wxDocument
{
public: 
	CDigalexDoc();
	virtual ~CDigalexDoc();

public:

	virtual bool OnCreate(const wxString& path, long flags);
	virtual bool Close();

	virtual bool OnOpenDocument(const wxString& filename);
	virtual bool OnSaveDocument(const wxString& filename);
	virtual bool OnSerialize( JakubSchwarzmeier::wx::CSerializeReaderWriter * dir );

	CStarArchive * GetStarArchive();
	CVisualization * GetVisualization();

protected:

	CVisualization * m_pVisualization;
	CStarArchive m_starArchive;

	DECLARE_EVENT_TABLE()
	DECLARE_DYNAMIC_CLASS(CDigalexDoc)
};

#endif //  __RECOGNITADOC_H__
