// DigalexView.cpp : implementation of the CDigalexView class
//

#include "stdafx.h"
#include "DigalexView.h"

#include "MainFrame.h"
#include "DigalexApp.h"
#include "DigalexDoc.h"

#include "ThreedCanvas.h"

#include "MDIClientWindow.h"

// CDigalexView

IMPLEMENT_DYNAMIC_CLASS(CDigalexView, JakubSchwarzmeier::wx::COpenGLView)


// CDigalexView construction/destruction

CDigalexView::CDigalexView()
{
}

CDigalexView::~CDigalexView()
{
}

//virtual
void CDigalexView::SetFrame(wxWindow * frame)
{
//	Do not call father's SetFrame(frame) 
	CView::SetFrame(frame);

	if ((m_openGLCanvas != NULL) && (JakubSchwarzmeier::wx::CSerializeReaderWriter::IsResurrection() == true))
	{
		CThreedCanvas * canvas = wxDynamicCast(m_openGLCanvas, CThreedCanvas);
		canvas->Create( GetFrame(), true );
	}
	else
	if (m_openGLCanvas == NULL)
	{
		m_openGLCanvas = new CThreedCanvas( GetFrame() );
	}
}

void CDigalexView::OnUpdate(wxView* sender, wxObject* hint)
{
	COpenGLView::OnUpdate( sender, hint );

	CDigalexDoc * digalexDoc = ::wxGetApp().GetDocument();
	int max = digalexDoc->GetStarArchive()->GetCount();

	CMainFrame * frame = ::wxGetApp().GetMainFrame();

	frame->SetSliderRange( max-1 );
	frame->OnSliderUpdated( wxScrollEvent() );
}
