#ifndef __STARARCHIVE__
#define __STARARCHIVE__

#include <list>
#include <wx/thread.h>
#include "body.h"
#include <set>
#include <map>

class CStarArchive
{
public:
	CStarArchive(void);
	~CStarArchive(void);

	typedef std::list<CBody*> LIST;
	typedef std::set<double> SET_MASSES;
	typedef std::map<double,int> MAP_MASSES;

	void Open( wxString filename );

	LIST * GetList();
	void ReRead();
	LIST * GetSnapShot(int no);
	void LockReading();
	void ReleaseReading();
	int GetCount();

	wxString GetFileName();
	SET_MASSES * GetMasses();
	MAP_MASSES * GetMassesMap();

protected:

	LIST m_leaves;
	wxString m_filename;

	int m_nSnapShots;
   	wxString m_binFileName;

	wxCriticalSection m_csRead;

	SET_MASSES m_uniqueMass;
	MAP_MASSES m_mapMass;
};

#endif // __STARARCHIVE__
