// RecognitaView.h : interface of the CThreedView class
//

#ifndef __RC_THREEDCANVAS_
#define __RC_THREEDCANVAS_

#include <schwarzmeier/wx.h>

class CThreedCanvas: public JakubSchwarzmeier::wx::COpenGLCanvas
{
// Overrides
public:

	CThreedCanvas() {}	//  for two step construction
	CThreedCanvas(wxWindow *parent);
	virtual ~CThreedCanvas();
	virtual void Create(wxWindow *parent, bool bDeserialize = false);
	virtual bool OnSerialize( JakubSchwarzmeier::wx::CSerializeReaderWriter * dir );

	void SetTitle( std::string title );
	void SetAffilation( std::string affilation );
	void SetAuthor( std::string author );
	void SetUseVideoDesc( bool bUseVideoDesc );
	void SetUseTime( bool bUseTime );
	void SetTimeCoefficient( double tCoeff );
	void SetUseGrid( bool bUseGrid );
	void SetUseCameraParameters( bool bUseCameraParameters );

protected:

	virtual void OnRender();
	virtual void PreRender();
	virtual void RenderFinished();

	virtual void OnContextTerminate();

	void DrawOSD();
	void Draw3DGrid();
	void DrawCameraParameters();

	CFrustum m_frustum;

	JakubSchwarzmeier::wx::CFreetype * m_pHeadingFont;
	JakubSchwarzmeier::wx::CFreetype * m_pBoldFont;

	bool m_bUseVideoDesc, m_bUseTime;
	bool m_bUseGrid, m_bUseCameraParameters;
	double m_tCoeff;
	std::string m_strTitle;
	std::string m_strAffilation;
	std::string m_strAuthor;

    DECLARE_DYNAMIC_CLASS(CThreedCanvas)

private:

	static const double s_colors[2][4][2][3];
};

#endif  //  __RC_THREEDCANVAS_
