/////////////////////////////////////////////////////////////////////////////
// Name:        VideoMakerDlg.h
// Purpose:     
// Author:      Jakub Schwarzmeier
// Modified by: 
// Created:     09/02/06 17:06:11
// RCS-ID:      
// Copyright:   
// Licence:     
/////////////////////////////////////////////////////////////////////////////

#ifndef _VIDEOMAKERDLG_H_
#define _VIDEOMAKERDLG_H_

#if defined(__GNUG__) && !defined(__APPLE__)
#pragma interface "VideoMakerDlg.cpp"
#endif

/*!
 * Includes
 */

////@begin includes
#include "wx/xrc/xmlres.h"
////@end includes

/*!
 * Forward declarations
 */

////@begin forward declarations
////@end forward declarations

/*!
 * Control identifiers
 */

////@begin control identifiers
#define IDD_VIDEOMAKER 10073
#define SYMBOL_CVIDEOMAKERDLG_STYLE wxCAPTION|wxRESIZE_BORDER|wxSYSTEM_MENU|wxCLOSE_BOX
#define SYMBOL_CVIDEOMAKERDLG_TITLE _("Video Maker")
#define SYMBOL_CVIDEOMAKERDLG_IDNAME IDD_VIDEOMAKER
#define SYMBOL_CVIDEOMAKERDLG_SIZE wxSize(400, 300)
#define SYMBOL_CVIDEOMAKERDLG_POSITION wxDefaultPosition
////@end control identifiers

/*!
 * Compatibility
 */

#ifndef wxCLOSE_BOX
#define wxCLOSE_BOX 0x1000
#endif
#ifndef wxFIXED_MINSIZE
#define wxFIXED_MINSIZE 0
#endif

/*!
 * CVideoMakerDlg class declaration
 */

class CVideoMakerDlg: public wxDialog
{    
    DECLARE_DYNAMIC_CLASS( CVideoMakerDlg )
    DECLARE_EVENT_TABLE()

public:
    /// Constructors
    CVideoMakerDlg( );
    CVideoMakerDlg( wxWindow* parent, wxWindowID id = SYMBOL_CVIDEOMAKERDLG_IDNAME, const wxString& caption = SYMBOL_CVIDEOMAKERDLG_TITLE, const wxPoint& pos = SYMBOL_CVIDEOMAKERDLG_POSITION, const wxSize& size = SYMBOL_CVIDEOMAKERDLG_SIZE, long style = SYMBOL_CVIDEOMAKERDLG_STYLE );

    /// Creation
    bool Create( wxWindow* parent, wxWindowID id = SYMBOL_CVIDEOMAKERDLG_IDNAME, const wxString& caption = SYMBOL_CVIDEOMAKERDLG_TITLE, const wxPoint& pos = SYMBOL_CVIDEOMAKERDLG_POSITION, const wxSize& size = SYMBOL_CVIDEOMAKERDLG_SIZE, long style = SYMBOL_CVIDEOMAKERDLG_STYLE );

    /// Creates the controls and sizers
    void CreateControls();

////@begin CVideoMakerDlg event handler declarations

    /// wxEVT_UPDATE_UI event handler for ID_WIDTH
    void OnCustomSizeUpdate( wxUpdateUIEvent& event );

    /// wxEVT_UPDATE_UI event handler for ID_X
    void OnAspectUpdate( wxUpdateUIEvent& event );

    /// wxEVT_COMMAND_BUTTON_CLICKED event handler for wxID_OK
    void OnOkClick( wxCommandEvent& event );

////@end CVideoMakerDlg event handler declarations

////@begin CVideoMakerDlg member function declarations

    wxString GetVideoFile() const { return m_videoFile ; }
    void SetVideoFile(wxString value) { m_videoFile = value ; }

    double GetFps() const { return m_fps ; }
    void SetFps(double value) { m_fps = value ; }

    int GetWidth() const { return m_width ; }
    void SetWidth(int value) { m_width = value ; }

    int GetHeight() const { return m_height ; }
    void SetHeight(int value) { m_height = value ; }

    int GetX() const { return m_X ; }
    void SetX(int value) { m_X = value ; }

    int GetY() const { return m_Y ; }
    void SetY(int value) { m_Y = value ; }

    /// Retrieves bitmap resources
    wxBitmap GetBitmapResource( const wxString& name );

    /// Retrieves icon resources
    wxIcon GetIconResource( const wxString& name );
////@end CVideoMakerDlg member function declarations

    /// Should we show tooltips?
    static bool ShowToolTips();

////@begin CVideoMakerDlg member variables
    wxRadioButton* m_800600Ctrl;
    wxRadioButton* m_1024768Ctrl;
    wxRadioButton* m_12801024Ctrl;
    wxRadioButton* m_16001200Ctrl;
    wxRadioButton* m_customSizeCtrl;
    wxCheckBox* m_maintainAspectCtrl;
    wxString m_videoFile;
    double m_fps;
    int m_width;
    int m_height;
    int m_X;
    int m_Y;
////@end CVideoMakerDlg member variables
};

#endif
    // _VIDEOMAKERDLG_H_
