/////////////////////////////////////////////////////////////////////////////
// Name:        WorkPlace.cpp
// Purpose:     
// Author:      Jakub Schwarzmeier
// Modified by: 
// Created:     03/01/06 17:32:10
// RCS-ID:      
// Copyright:   
// Licence:     
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"

#if defined(__GNUG__) && !defined(__APPLE__)
#pragma implementation "WorkPlace.h"
#endif

// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
#include "wx/wx.h"
#endif

////@begin includes
////@end includes

#include "WorkPlace.h"
#include "StarArchive.h"
#include "digalexapp.h"

////@begin XPM images
////@end XPM images

/*!
 * CWorkPlace type definition
 */

IMPLEMENT_DYNAMIC_CLASS( CWorkPlace, wxPanel )

/*!
 * CWorkPlace event table definition
 */

BEGIN_EVENT_TABLE( CWorkPlace, wxPanel )

////@begin CWorkPlace event table entries
    EVT_SIZE( CWorkPlace::OnSize )
    EVT_ERASE_BACKGROUND( CWorkPlace::OnEraseBackground )

    EVT_SLIDER( XRCID("ID_SLIDER"), CWorkPlace::OnSliderUpdated )

////@end CWorkPlace event table entries

END_EVENT_TABLE()

/*!
 * CWorkPlace constructors
 */

CWorkPlace::CWorkPlace( )
{
}

CWorkPlace::CWorkPlace( wxWindow* parent, wxWindowID id, const wxPoint& pos, const wxSize& size, long style )
{
    Create(parent, id, pos, size, style);
}

/*!
 * CWorkPlace creator
 */

bool CWorkPlace::Create( wxWindow* parent, wxWindowID id, const wxPoint& pos, const wxSize& size, long style )
{
////@begin CWorkPlace member initialisation
    m_slider = NULL;
////@end CWorkPlace member initialisation

////@begin CWorkPlace creation
    SetParent(parent);
    CreateControls();

	SetSliderRange(0);
	m_slider->SetPageSize( 1 );

    GetSizer()->Fit(this);
    GetSizer()->SetSizeHints(this);
    Centre();
////@end CWorkPlace creation
    return true;
}

/*!
 * Control creation for CWorkPlace
 */

void CWorkPlace::CreateControls()
{    
    wxXmlResource::Get()->Load(wxT("xrc/workplace.xrc")); 

////@begin CWorkPlace content construction
    wxXmlResource::Get()->LoadPanel(this, GetParent(), _T("ID_WORKPLACE"));
    m_slider = XRCCTRL(*this, "ID_SLIDER", wxSlider);
////@end CWorkPlace content construction

    // Create custom windows not generated automatically here.

////@begin CWorkPlace content initialisation

////@end CWorkPlace content initialisation
}

/*!
 * Should we show tooltips?
 */

bool CWorkPlace::ShowToolTips()
{
    return true;
}

/*!
 * Get bitmap resources
 */

wxBitmap CWorkPlace::GetBitmapResource( const wxString& name )
{
    // Bitmap retrieval
////@begin CWorkPlace bitmap retrieval
    wxUnusedVar(name);
    return wxNullBitmap;
////@end CWorkPlace bitmap retrieval
}

/*!
 * Get icon resources
 */

wxIcon CWorkPlace::GetIconResource( const wxString& name )
{
    // Icon retrieval
////@begin CWorkPlace icon retrieval
    wxUnusedVar(name);
    return wxNullIcon;
////@end CWorkPlace icon retrieval
}
/*!
 * wxEVT_SIZE event handler for ID_WORKPLACE
 */

void CWorkPlace::OnSize( wxSizeEvent& event )
{
	int hx, hy, px, py;
	GetParent()->GetSize( &hx, &hy  );
	GetParent()->GetPosition( &px, &py  );
	
	SetSize( px, py, hx, hy );

////@begin wxEVT_SIZE event handler for ID_WORKPLACE in CWorkPlace.
    // Before editing this code, remove the block markers.
    event.Skip();
////@end wxEVT_SIZE event handler for ID_WORKPLACE in CWorkPlace. 
}


/*!
 * wxEVT_ERASE_BACKGROUND event handler for ID_WORKPLACE
 */

void CWorkPlace::OnEraseBackground( wxEraseEvent& event )
{
	SetBackgroundColour( GetParent()->GetBackgroundColour() );
    event.Skip();
}


/*!
 * wxEVT_COMMAND_SLIDER_UPDATED event handler for ID_SLIDER
 */

void CWorkPlace::OnSliderUpdated( wxCommandEvent& event )
{
	int pos = m_slider->GetValue();

	CStarArchive * pStarArchive = ::wxGetApp().GetDocument()->GetStarArchive();
	pStarArchive->LockReading();
	pStarArchive->GetSnapShot( pos );
	pStarArchive->ReleaseReading();

    ::wxGetApp().GetMainFrame()->SetFocus();

	event.Skip();
}

void CWorkPlace::SetSliderRange( int maxValue )
{
	m_slider->SetRange(0, maxValue);
}

