/////////////////////////////////////////////////////////////////////////////
// Name:        WorkPlace.h
// Purpose:     
// Author:      Jakub Schwarzmeier
// Modified by: 
// Created:     03/01/06 17:33:36
// RCS-ID:      
// Copyright:   
// Licence:     
/////////////////////////////////////////////////////////////////////////////

#ifndef _WORKPLACE_H_
#define _WORKPLACE_H_

#if defined(__GNUG__) && !defined(__APPLE__)
#pragma interface "WorkPlace.cpp"
#endif

/*!
 * Includes
 */

////@begin includes
#include "wx/xrc/xmlres.h"
////@end includes

/*!
 * Forward declarations
 */

////@begin forward declarations
////@end forward declarations

/*!
 * Control identifiers
 */

////@begin control identifiers
#define ID_WORKPLACE 10001
#define SYMBOL_CWORKPLACE_STYLE 0
#define SYMBOL_CWORKPLACE_TITLE _("MDI Client Window")
#define SYMBOL_CWORKPLACE_IDNAME ID_WORKPLACE
#define SYMBOL_CWORKPLACE_SIZE wxSize(400, 300)
#define SYMBOL_CWORKPLACE_POSITION wxDefaultPosition
////@end control identifiers

/*!
 * Compatibility
 */

#ifndef wxCLOSE_BOX
#define wxCLOSE_BOX 0x1000
#endif
#ifndef wxFIXED_MINSIZE
#define wxFIXED_MINSIZE 0
#endif

/*!
 * CWorkPlace class declaration
 */

class CWorkPlace: public wxPanel
{    
    DECLARE_DYNAMIC_CLASS( CWorkPlace )
    DECLARE_EVENT_TABLE()

public:
    /// Constructors
    CWorkPlace( );
    CWorkPlace( wxWindow* parent, wxWindowID id = SYMBOL_CWORKPLACE_IDNAME, const wxPoint& pos = SYMBOL_CWORKPLACE_POSITION, const wxSize& size = SYMBOL_CWORKPLACE_SIZE, long style = SYMBOL_CWORKPLACE_STYLE );

    /// Creation
    bool Create( wxWindow* parent, wxWindowID id = SYMBOL_CWORKPLACE_IDNAME, const wxPoint& pos = SYMBOL_CWORKPLACE_POSITION, const wxSize& size = SYMBOL_CWORKPLACE_SIZE, long style = SYMBOL_CWORKPLACE_STYLE );

    /// Creates the controls and sizers
    void CreateControls();

////@begin CWorkPlace event handler declarations

    /// wxEVT_SIZE event handler for ID_WORKPLACE
    void OnSize( wxSizeEvent& event );

    /// wxEVT_ERASE_BACKGROUND event handler for ID_WORKPLACE
    void OnEraseBackground( wxEraseEvent& event );

    /// wxEVT_COMMAND_SLIDER_UPDATED event handler for ID_SLIDER
    void OnSliderUpdated( wxCommandEvent& event );

////@end CWorkPlace event handler declarations

////@begin CWorkPlace member function declarations

    /// Retrieves bitmap resources
    wxBitmap GetBitmapResource( const wxString& name );

    /// Retrieves icon resources
    wxIcon GetIconResource( const wxString& name );
////@end CWorkPlace member function declarations

    /// Should we show tooltips?
    static bool ShowToolTips();

	void SetSliderRange( int maxValue );

////@begin CWorkPlace member variables
    wxSlider* m_slider;
////@end CWorkPlace member variables
};

#endif
    // _WORKPLACE_H_
