/////////////////////////////////////////////////////////////////////////////
// Name:        cameradlg.h
// Purpose:     
// Author:      Jakub Schwarzmeier
// Modified by: 
// Created:     05/02/2007 11:55:05
// RCS-ID:      
// Copyright:   
// Licence:     
/////////////////////////////////////////////////////////////////////////////

#ifndef _CAMERADLG_H_
#define _CAMERADLG_H_

#if defined(__GNUG__) && !defined(NO_GCC_PRAGMA)
#pragma interface "cameradlg.h"
#endif

/*!
 * Includes
 */

////@begin includes
#include "wx/xrc/xmlres.h"
#include "wx/valgen.h"
////@end includes

#include "ChunkDesc.h"

/*!
 * Forward declarations
 */

////@begin forward declarations
////@end forward declarations

/*!
 * Control identifiers
 */

////@begin control identifiers
#define IDD_ORBITERCAMERA 10047
#define SYMBOL_CCAMERADLG_STYLE wxCAPTION|wxRESIZE_BORDER|wxSYSTEM_MENU
#define SYMBOL_CCAMERADLG_TITLE _("Orbiter Camera")
#define SYMBOL_CCAMERADLG_IDNAME IDD_ORBITERCAMERA
#define SYMBOL_CCAMERADLG_SIZE wxSize(400, 300)
#define SYMBOL_CCAMERADLG_POSITION wxDefaultPosition
////@end control identifiers

/*!
 * Compatibility
 */

#ifndef wxCLOSE_BOX
#define wxCLOSE_BOX 0x1000
#endif

/*!
 * CCameraDlg class declaration
 */

class CCameraDlg: public wxDialog
{    
    DECLARE_DYNAMIC_CLASS( CCameraDlg )
    DECLARE_EVENT_TABLE()

public:
    /// Constructors
    CCameraDlg( );
    CCameraDlg( wxWindow* parent, wxWindowID id = SYMBOL_CCAMERADLG_IDNAME, const wxString& caption = SYMBOL_CCAMERADLG_TITLE, const wxPoint& pos = SYMBOL_CCAMERADLG_POSITION, const wxSize& size = SYMBOL_CCAMERADLG_SIZE, long style = SYMBOL_CCAMERADLG_STYLE );

    /// Creation
    bool Create( wxWindow* parent, wxWindowID id = SYMBOL_CCAMERADLG_IDNAME, const wxString& caption = SYMBOL_CCAMERADLG_TITLE, const wxPoint& pos = SYMBOL_CCAMERADLG_POSITION, const wxSize& size = SYMBOL_CCAMERADLG_SIZE, long style = SYMBOL_CCAMERADLG_STYLE );

    /// Initialises member variables
    void Init();

    /// Creates the controls and sizers
    void CreateControls();

////@begin CCameraDlg event handler declarations

    /// wxEVT_PAINT event handler for IDD_ORBITERCAMERA
    void OnPaint( wxPaintEvent& event );

    /// wxEVT_COMMAND_BUTTON_CLICKED event handler for ID_GETSTARTING
    void OnGetstartingClick( wxCommandEvent& event );

    /// wxEVT_UPDATE_UI event handler for ID_GETSTARTING
    void OnUpdateUI( wxUpdateUIEvent& event );

    /// wxEVT_COMMAND_BUTTON_CLICKED event handler for ID_APPLYSTARTING
    void OnApplystartingClick( wxCommandEvent& event );

    /// wxEVT_COMMAND_BUTTON_CLICKED event handler for ID_GETENDING
    void OnGetendingClick( wxCommandEvent& event );

    /// wxEVT_COMMAND_BUTTON_CLICKED event handler for ID_APPLYENDING
    void OnApplyendingClick( wxCommandEvent& event );

    /// wxEVT_COMMAND_BUTTON_CLICKED event handler for wxID_OK
    void OnOkClick( wxCommandEvent& event );

////@end CCameraDlg event handler declarations

////@begin CCameraDlg member function declarations

    double GetAnimationDuration() const { return m_animationDuration ; }
    void SetAnimationDuration(double value) { m_animationDuration = value ; }

    int GetStartTime() const { return m_startSnapshot ; }
    void SetStartTime(int value) { m_startSnapshot = value ; }

    wxString GetStartMatrix() const { return m_startMatrix ; }
    void SetStartMatrix(wxString value) { m_startMatrix = value ; }

    wxString GetEndMatrix() const { return m_endMatrix ; }
    void SetEndMatrix(wxString value) { m_endMatrix = value ; }

    int GetEndSnapshot() const { return m_endSnapshot ; }
    void SetEndSnapshot(int value) { m_endSnapshot = value ; }

    /// Retrieves bitmap resources
    wxBitmap GetBitmapResource( const wxString& name );

    /// Retrieves icon resources
    wxIcon GetIconResource( const wxString& name );
////@end CCameraDlg member function declarations

    /// Should we show tooltips?
    static bool ShowToolTips();

////@begin CCameraDlg member variables
    double m_animationDuration;
    int m_startSnapshot;
    wxString m_startMatrix;
    wxString m_endMatrix;
    int m_endSnapshot;
////@end CCameraDlg member variables

protected:
	JakubSchwarzmeier::wx::COpenGLCanvas * GetActiveView();
	static std::string s_strSprintf;
	CChunkDesc * m_localChunkDesc;
};

#endif
    // _CAMERADLG_H_
