/////////////////////////////////////////////////////////////////////////////
// Name:        colorsdlg.h
// Purpose:     
// Author:      Jakub Schwarzmeier
// Modified by: 
// Created:     16/02/2007 11:55:59
// RCS-ID:      
// Copyright:   
// Licence:     
/////////////////////////////////////////////////////////////////////////////

#ifndef _COLORSDLG_H_
#define _COLORSDLG_H_

#if defined(__GNUG__) && !defined(NO_GCC_PRAGMA)
#pragma interface "colorsdlg.h"
#endif

/*!
 * Includes
 */

////@begin includes
#include "wx/xrc/xmlres.h"
////@end includes

/*!
 * Forward declarations
 */

////@begin forward declarations
////@end forward declarations

/*!
 * Control identifiers
 */

////@begin control identifiers
#define ID_CCOLORSDLG 10005
#define SYMBOL_CCOLORSDLG_STYLE wxCAPTION|wxRESIZE_BORDER|wxSYSTEM_MENU|wxCLOSE_BOX
#define SYMBOL_CCOLORSDLG_TITLE _("Colors")
#define SYMBOL_CCOLORSDLG_IDNAME ID_CCOLORSDLG
#define SYMBOL_CCOLORSDLG_SIZE wxSize(400, 300)
#define SYMBOL_CCOLORSDLG_POSITION wxDefaultPosition
////@end control identifiers

/*!
 * Compatibility
 */

#ifndef wxCLOSE_BOX
#define wxCLOSE_BOX 0x1000
#endif

/*!
 * CColorsDlg class declaration
 */

class CColorsDlg: public wxDialog
{    
    DECLARE_DYNAMIC_CLASS( CColorsDlg )
    DECLARE_EVENT_TABLE()

public:
    /// Constructors
    CColorsDlg( );
    CColorsDlg( wxWindow* parent, wxWindowID id = SYMBOL_CCOLORSDLG_IDNAME, const wxString& caption = SYMBOL_CCOLORSDLG_TITLE, const wxPoint& pos = SYMBOL_CCOLORSDLG_POSITION, const wxSize& size = SYMBOL_CCOLORSDLG_SIZE, long style = SYMBOL_CCOLORSDLG_STYLE );

    /// Creation
    bool Create( wxWindow* parent, wxWindowID id = SYMBOL_CCOLORSDLG_IDNAME, const wxString& caption = SYMBOL_CCOLORSDLG_TITLE, const wxPoint& pos = SYMBOL_CCOLORSDLG_POSITION, const wxSize& size = SYMBOL_CCOLORSDLG_SIZE, long style = SYMBOL_CCOLORSDLG_STYLE );

    /// Initialises member variables
    void Init();

    /// Creates the controls and sizers
    void CreateControls();

////@begin CColorsDlg event handler declarations

    /// wxEVT_COMMAND_BUTTON_CLICKED event handler for ID_ASSIGN
    void OnAssignClick( wxCommandEvent& event );

    /// wxEVT_UPDATE_UI event handler for ID_ASSIGN
    void OnAssignUpdateUI( wxUpdateUIEvent& event );

    /// wxEVT_COMMAND_BUTTON_CLICKED event handler for wxID_OK
    void OnOKClick( wxCommandEvent& event );

////@end CColorsDlg event handler declarations

////@begin CColorsDlg member function declarations

    /// Retrieves bitmap resources
    wxBitmap GetBitmapResource( const wxString& name );

    /// Retrieves icon resources
    wxIcon GetIconResource( const wxString& name );
////@end CColorsDlg member function declarations

    /// Should we show tooltips?
    static bool ShowToolTips();

////@begin CColorsDlg member variables
    wxListBox* m_massCtrl;
    wxListBox* m_presetCtrl;
////@end CColorsDlg member variables
};

#endif
    // _COLORSDLG_H_
