/////////////////////////////////////////////////////////////////////////////
// Name:        digalexapp.cpp
// Purpose:     
// Author:      Jakub Schwarzmeier
// Modified by: 
// Created:     02/11/06 09:02:15
// RCS-ID:      
// Copyright:   
// Licence:     
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"

#if defined(__GNUG__) && !defined(__APPLE__)
#pragma implementation "digalexapp.h"
#endif

// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
#include "wx/wx.h"
#endif

////@begin includes
////@end includes

#include "DigalexDoc.h"
#include "DigalexView.h"

#include "digalexapp.h"

////@begin XPM images

////@end XPM images

/*!
 * Application instance implementation
 */

////@begin implement app
IMPLEMENT_APP( CDigalexApp )
////@end implement app

/*!
 * CDigalexApp type definition
 */

IMPLEMENT_CLASS( CDigalexApp, JakubSchwarzmeier::wx::CApp )

/*!
 * CDigalexApp event table definition
 */

BEGIN_EVENT_TABLE( CDigalexApp, JakubSchwarzmeier::wx::CApp )

////@begin CDigalexApp event table entries
////@end CDigalexApp event table entries

END_EVENT_TABLE()

/*!
 * Constructor for CDigalexApp
 */

CDigalexApp::CDigalexApp()
{
////@begin CDigalexApp member initialisation
////@end CDigalexApp member initialisation
}

/*!
 * Initialisation for CDigalexApp
 */

bool CDigalexApp::OnInit()
{    
	if ( CApp::OnInit() == false)	return false;

	//// Create a template relating drawing documents to their views
	wxDocTemplate * pDocTemplate;
	pDocTemplate = new wxDocTemplate(m_docManager, _T("Galaxy Explorer"), _T("*.*"), 
		_T(""), _T(""), _T("Digalex Doc"), _T("Digalex View"),
		CLASSINFO(CDigalexDoc), CLASSINFO(CDigalexView));
	m_docManager->AssociateTemplate( pDocTemplate );

////@begin CDigalexApp initialisation
    // Remove the comment markers above and below this block
    // to make permanent changes to the code.

#if wxUSE_XPM
    wxImage::AddHandler( new wxXPMHandler );
#endif
#if wxUSE_LIBPNG
    wxImage::AddHandler( new wxPNGHandler );
#endif
#if wxUSE_LIBJPEG
    wxImage::AddHandler( new wxJPEGHandler );
#endif
#if wxUSE_GIF
    wxImage::AddHandler( new wxGIFHandler );
#endif
////@end CDigalexApp initialisation

    // Initialize all the XRC handlers. Always required (unless you feel like
    // going through and initializing a handler of each control type you will
    // be using (ie initialize the spinctrl handler, initialize the textctrl
    // handler). However, if you are only using a few control types, it will
    // save some space to only initialize the ones you will be using. See
    // wxXRC docs for details.
	wxXmlResource::Get()->InitAllHandlers();

	//  Create main app window
	m_frame = new CMainFrame( NULL, NULL, ID_MAINFRAME );
	SetTopWindow( m_frame ); 
	m_frame->Show(true);

    return true;
}

/*!
 * Cleanup for CDigalexApp
 */
int CDigalexApp::OnExit()
{    
////@begin CDigalexApp cleanup
    return JakubSchwarzmeier::wx::CApp::OnExit();
////@end CDigalexApp cleanup
}

CMainFrame * CDigalexApp::GetMainFrame()
{
	return static_cast<CMainFrame*>( m_frame );
}

CDigalexDoc * CDigalexApp::GetDocument()
{
	return reinterpret_cast<CDigalexDoc*>( GetDocManager()->GetCurrentDocument() );
}
