/////////////////////////////////////////////////////////////////////////////
// Name:        mainframe.h
// Purpose:     
// Author:      Jakub Schwarzmeier
// Modified by: 
// Created:     02/11/06 09:03:10
// RCS-ID:      
// Copyright:   
// Licence:     
/////////////////////////////////////////////////////////////////////////////

#ifndef _MAINFRAME_H_
#define _MAINFRAME_H_

#if defined(__GNUG__) && !defined(__APPLE__)
#pragma interface "mainframe.cpp"
#endif

/*!
 * Includes
 */

////@begin includes
#include "wx/xrc/xmlres.h"
#include "wx/docmdi.h"
#include "wx/toolbar.h"
////@end includes

#include "ChildFrm.h"
#include "CamerasPanel.h"

/*!
 * Forward declarations
 */

////@begin forward declarations
////@end forward declarations

/*!
 * Control identifiers
 */

////@begin control identifiers
#define ID_MAINFRAME 10000
#define SYMBOL_CMAINFRAME_STYLE wxDEFAULT_FRAME_STYLE|wxCAPTION|wxRESIZE_BORDER|wxSYSTEM_MENU|wxCLOSE_BOX
#define SYMBOL_CMAINFRAME_TITLE _("Galaxy Explorer")
#define SYMBOL_CMAINFRAME_IDNAME ID_MAINFRAME
#define SYMBOL_CMAINFRAME_SIZE wxSize(400, 300)
#define SYMBOL_CMAINFRAME_POSITION wxDefaultPosition
////@end control identifiers

/*!
 * Compatibility
 */

#ifndef wxCLOSE_BOX
#define wxCLOSE_BOX 0x1000
#endif
#ifndef wxFIXED_MINSIZE
#define wxFIXED_MINSIZE 0
#endif

/*!
 * CMainFrame class declaration
 */

class CMainFrame: public wxDocMDIParentFrame
{    
    DECLARE_CLASS( CMainFrame )
    DECLARE_EVENT_TABLE()

public:
    /// Constructors
    CMainFrame( );
    CMainFrame( wxDocManager *manager, wxFrame *parent, wxWindowID id = SYMBOL_CMAINFRAME_IDNAME, const wxString& caption = SYMBOL_CMAINFRAME_TITLE, const wxPoint& pos = SYMBOL_CMAINFRAME_POSITION, const wxSize& size = SYMBOL_CMAINFRAME_SIZE, long style = SYMBOL_CMAINFRAME_STYLE );
	~CMainFrame();

    bool Create( wxDocManager *manager, wxFrame *parent, wxWindowID id = SYMBOL_CMAINFRAME_IDNAME, const wxString& caption = SYMBOL_CMAINFRAME_TITLE, const wxPoint& pos = SYMBOL_CMAINFRAME_POSITION, const wxSize& size = SYMBOL_CMAINFRAME_SIZE, long style = SYMBOL_CMAINFRAME_STYLE );

    /// Creates the controls and sizers
    void CreateControls();

////@begin CMainFrame event handler declarations

    /// wxEVT_CLOSE_WINDOW event handler for ID_MAINFRAME
    void OnFileExit( wxCloseEvent& event );

    /// wxEVT_SIZE event handler for ID_MAINFRAME
    void OnSize( wxSizeEvent& event );

    /// wxEVT_COMMAND_SLIDER_UPDATED event handler for ID_SLIDER
    void OnSliderUpdated( wxCommandEvent& event );

////@end CMainFrame event handler declarations

    void OnFileClose( wxCommandEvent& event );
	void OnFileOpen(wxCommandEvent& event);
	void OnFileExit(wxCommandEvent& event);

	void OnViewMovie(wxCommandEvent& event);
	void OnViewColors(wxCommandEvent& event);
	void OnViewVideoText(wxCommandEvent& event);

////@begin CMainFrame member function declarations

    /// Retrieves bitmap resources
    wxBitmap GetBitmapResource( const wxString& name );

    /// Retrieves icon resources
    wxIcon GetIconResource( const wxString& name );
////@end CMainFrame member function declarations

    /// Should we show tooltips?
    static bool ShowToolTips();

////@begin CMainFrame member variables
    wxSlider* m_slider;
////@end CMainFrame member variables

	void SetSliderRange( int maxValue );

	CChildFrame * CreateChildFrame(wxDocument * pDocument, int pViewClass);
	void OnNewDocument();

	int GetSnapshot();
	void SetSnapshot(int no);

protected:

	int m_prevPos;
	CCamerasPanel * m_camerasPanel;

};

#endif
    // _MAINFRAME_H_
