/////////////////////////////////////////////////////////////////////////////
// Name:        videotextdescriptiondlg.h
// Purpose:     
// Author:      Jakub Schwarzmeier
// Modified by: 
// Created:     20/02/2007 15:31:31
// RCS-ID:      
// Copyright:   
// Licence:     
/////////////////////////////////////////////////////////////////////////////

#ifndef _VIDEOTEXTDESCRIPTIONDLG_H_
#define _VIDEOTEXTDESCRIPTIONDLG_H_

#if defined(__GNUG__) && !defined(NO_GCC_PRAGMA)
#pragma interface "videotextdescriptiondlg.h"
#endif

/*!
 * Includes
 */

////@begin includes
#include "wx/xrc/xmlres.h"
#include "wx/valtext.h"
////@end includes

/*!
 * Forward declarations
 */

////@begin forward declarations
////@end forward declarations

/*!
 * Control identifiers
 */

////@begin control identifiers
#define ID_CVIDEOTEXTDESCRIPTIONDLG 10011
#define SYMBOL_CVIDEOTEXTDESCRIPTIONDLG_STYLE wxCAPTION|wxRESIZE_BORDER|wxSYSTEM_MENU|wxCLOSE_BOX
#define SYMBOL_CVIDEOTEXTDESCRIPTIONDLG_TITLE _("Video Text Description")
#define SYMBOL_CVIDEOTEXTDESCRIPTIONDLG_IDNAME ID_CVIDEOTEXTDESCRIPTIONDLG
#define SYMBOL_CVIDEOTEXTDESCRIPTIONDLG_SIZE wxSize(400, 300)
#define SYMBOL_CVIDEOTEXTDESCRIPTIONDLG_POSITION wxDefaultPosition
////@end control identifiers

/*!
 * Compatibility
 */

#ifndef wxCLOSE_BOX
#define wxCLOSE_BOX 0x1000
#endif

/*!
 * CVideoTextDescriptionDlg class declaration
 */

class CVideoTextDescriptionDlg: public wxDialog
{    
    DECLARE_DYNAMIC_CLASS( CVideoTextDescriptionDlg )
    DECLARE_EVENT_TABLE()

public:
    /// Constructors
    CVideoTextDescriptionDlg( );
    CVideoTextDescriptionDlg( wxWindow* parent, wxWindowID id = SYMBOL_CVIDEOTEXTDESCRIPTIONDLG_IDNAME, const wxString& caption = SYMBOL_CVIDEOTEXTDESCRIPTIONDLG_TITLE, const wxPoint& pos = SYMBOL_CVIDEOTEXTDESCRIPTIONDLG_POSITION, const wxSize& size = SYMBOL_CVIDEOTEXTDESCRIPTIONDLG_SIZE, long style = SYMBOL_CVIDEOTEXTDESCRIPTIONDLG_STYLE );

    /// Creation
    bool Create( wxWindow* parent, wxWindowID id = SYMBOL_CVIDEOTEXTDESCRIPTIONDLG_IDNAME, const wxString& caption = SYMBOL_CVIDEOTEXTDESCRIPTIONDLG_TITLE, const wxPoint& pos = SYMBOL_CVIDEOTEXTDESCRIPTIONDLG_POSITION, const wxSize& size = SYMBOL_CVIDEOTEXTDESCRIPTIONDLG_SIZE, long style = SYMBOL_CVIDEOTEXTDESCRIPTIONDLG_STYLE );

    /// Initialises member variables
    void Init();

    /// Creates the controls and sizers
    void CreateControls();

////@begin CVideoTextDescriptionDlg event handler declarations

    /// wxEVT_UPDATE_UI event handler for ID_TITLE
    void OnUpdateUI( wxUpdateUIEvent& event );

    /// wxEVT_UPDATE_UI event handler for ID_TIMELINE
    void OUpdateTimeLine( wxUpdateUIEvent& event );

    /// wxEVT_COMMAND_BUTTON_CLICKED event handler for wxID_OK
    void OnOKClick( wxCommandEvent& event );

////@end CVideoTextDescriptionDlg event handler declarations

////@begin CVideoTextDescriptionDlg member function declarations

    wxString GetStrTitle() const { return m_strTitle ; }
    void SetStrTitle(wxString value) { m_strTitle = value ; }

    wxString GetStrAffilation() const { return m_strAffilation ; }
    void SetStrAffilation(wxString value) { m_strAffilation = value ; }

    wxString GetStrAuthor() const { return m_strAuthor ; }
    void SetStrAuthor(wxString value) { m_strAuthor = value ; }

    double GetTimeCoeff() const { return m_timeCoeff ; }
    void SetTimeCoeff(double value) { m_timeCoeff = value ; }

    /// Retrieves bitmap resources
    wxBitmap GetBitmapResource( const wxString& name );

    /// Retrieves icon resources
    wxIcon GetIconResource( const wxString& name );
////@end CVideoTextDescriptionDlg member function declarations

    /// Should we show tooltips?
    static bool ShowToolTips();

////@begin CVideoTextDescriptionDlg member variables
    wxCheckBox* m_ctrlUseVideoDesc;
    wxCheckBox* m_ctrlTime;
    wxCheckBox* m_ctrlUseGrid;
    wxCheckBox* m_ctrlCameraParameters;
    wxString m_strTitle;
    wxString m_strAffilation;
    wxString m_strAuthor;
    double m_timeCoeff;
////@end CVideoTextDescriptionDlg member variables

	static const wxString m_sTitle, m_sAffilation, m_sAuthor;
};

#endif
    // _VIDEOTEXTDESCRIPTIONDLG_H_
