#ifndef _JS_EXCEL_H
#define _JS_EXCEL_H

//--  Excel COM --> C++ class generation under VC++:
//--   1. Uncomment #import "libid:{..." line and compile.
//--   2. Return changes back and compile again.

#ifdef _MSC_VER
	#ifndef _LIB
		#ifdef _DEBUG
			#pragma comment(lib, "util-debug.lib")
		#else
			#pragma comment(lib, "util-release.lib")
		#endif
	#endif

	#ifndef USE_EXCEL
	//  #define USE_EXCEL 0
		#define USE_EXCEL 1
	#endif

	#if (USE_EXCEL == 1)

		// Exclude rarely-used stuff from Windows headers
		#define WIN32_LEAN_AND_MEAN		

		//  MS-RTL
		#include <tchar.h>

		//  EXCEL COM
		//  #import "libid:{00020813-0000-0000-C000-000000000046}" auto_search auto_rename version(1.3) lcid(0) no_search_namespace
		#include "../comexcel/excel.tlh"
		#include <comutil.h>

		//  STL
		#include <string>

		Excel::_ApplicationPtr CreateExcel();
		void QuitExcel(Excel::_ApplicationPtr pExcel);
		Excel::_WorkbookPtr AddWorkbook(Excel::_ApplicationPtr pExcel);
		void SetCellValue(Excel::_WorksheetPtr pWorksheet, int col, int row, std::string value);
		void SetCellValue(Excel::_WorksheetPtr pWorksheet, int col, int row, double value);
		std::string GetCellValue(Excel::_WorksheetPtr pWorksheet, size_t col, size_t row);

		Excel::_ChartPtr CreateChart( Excel::_WorkbookPtr pWorkbook, Excel::_WorksheetPtr pWorksheet,
				std::string chartTitle, std::string xlabel, std::string ylabel );

		void SetSeriesValues( Excel::SeriesPtr series, Excel::_WorksheetPtr pSheet, 
							size_t xColStart, size_t xRowStart, size_t xColEnd, size_t xRowEnd, 
							size_t yColStart, size_t yRowStart, size_t yColEnd, size_t yRowEnd );

		Excel::RangePtr GetRange( Excel::_WorksheetPtr pSheet, size_t columnStart, size_t rowStart, size_t columnEnd, size_t rowEnd );
	
		void excel_dump_com_error(_com_error &e);

	#endif		//--  #if (USE_EXCEL == 1)

#else	//-- #ifdef _MSC_VER

	//--  only for MS-Windows

#endif

#endif // _JS_EXCEL_H