#ifndef _JS_XMLLIB_H
#define _JS_XMLLIB_H

#ifdef _MSC_VER
	#ifndef _LIB
		#ifdef _DEBUG
			#pragma comment(lib, "util-debug.lib")
		#else
			#pragma comment(lib, "util-release.lib")
		#endif
	#endif
#endif

//  STL
#include <string>

//  LIBXML
#include <libxml/xmlmemory.h>
#include <libxml/parser.h>
#include <libxml/xpath.h>

std::string GetXPathResponse( xmlDoc * pXmlDoc, xmlNode * pNode, std::string strXPath );
xmlNode * SelectSingleNode( xmlDoc * pXmlDoc, xmlNode * pNode, std::string strXPath );
xmlNodeSet * SelectNodes( xmlDoc * pXmlDoc, xmlNode * pNode, std::string strXPath );
void SetAttribute( xmlNode * pNode, std::string attName, double attValue );
void SetAttribute( xmlNode * pNode, std::string attName, int attValue );
void SetAttribute( xmlNode * pNode, std::string attName, long long attValue );
void SetAttribute( xmlNode * pNode, std::string attName, bool attValue );
void SetTextNode( xmlDoc * pXmlDoc, xmlNode * pNode, std::string textValue );
void SetTextNode( xmlDoc * pXmlDoc, xmlNode * pNode, int textValue );
void SetTextNode( xmlDoc * pXmlDoc, xmlNode * pNode, long long textValue );
void SetTextNode( xmlDoc * pXmlDoc, xmlNode * pNode, double textValue );
void GetAttribute( xmlNode * pNode, std::string attName, double * retValue );
void GetAttribute( xmlNode * pNode, std::string attName, int * retValue );
void GetAttribute( xmlNode * pNode, std::string attName, long long * retValue );
void GetAttribute( xmlNode * pNode, std::string attName, bool * retValue );

#endif //  _JS_XMLLIB_H
