/*************************************************************************************
 *
 *  kepler.h:  keplerian parameters --> cartesian position, velocity
 *
 *  Copyright (c) 2007 Jakub Schwarzmeier
 *  University of West Bohemia, Department of General Physics
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or (at
 *  your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ************************************************************************/

#ifndef _JS_KEPLER_H
#define _JS_KEPLER_H

class CKepler
{
public:

	CKepler();

	void Set_a(double a);
	void Set_e(double e);
	double Get_a();
	double Get_e();

	void SetG(double G);
	void Set_ms(double ms);
	void Set_mp(double mp);
	
	void Set_ta(double ta);
	double Get_ta();

	void Generate(double a, double e, 
		double G, double ms, double mp, 
		double ta );
	void Generate();

	//  Get positions
	double GetPx();
	double GetPy();

	//  Get velocities
	double GetVx();
	double GetVy();

protected:

	double m_a;
	double m_e;

	double m_G;
	double m_ms;
	double m_mp;

	double m_ta;

	double m_px, m_py;
	double m_vx, m_vy;
};

#endif //  _JS_KEPLER_H