/*************************************************************************************
 *
 *  compositemodel.h:  create galaxy from various components
 *
 *  Copyright (c) 2007 Jakub Schwarzmeier
 *  University of West Bohemia, Department of General Physics
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or (at
 *  your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ************************************************************************/

#ifndef _ICSLIB_COMPOSITEMODEL_H
#define _ICSLIB_COMPOSITEMODEL_H

#include "sphericalmodel.h"

#include <vector>	//  vector not in mathematical sense, just collection of models

class CCompositeModel: public CSphericalModel
{
public:

	CCompositeModel();
	virtual ~CCompositeModel();

	void AddModel( CSphericalModel * model );
	virtual double rho(double r);
	virtual void Generate();	//  create model

protected:

	std::vector<CSphericalModel*> m_models;

	gsl_spline * m_rhor;
    gsl_interp_accel * m_accRhor;
};

#endif //  _ICSLIB_COMPOSITEMODEL_H
