/*************************************************************************************
 *
 *  directcollision.h:  set system for direct collision on line
 *
 *  Copyright (c) 2007 Jakub Schwarzmeier
 *  University of West Bohemia, Department of General Physics
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or (at
 *  your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ************************************************************************/

#ifndef _ICSLIB_DIRECTCOLLISION_H
#define _ICSLIB_DIRECTCOLLISION_H

#include "encounter.h"

class CDirectCollision: public CEncounter
{
public:
	CDirectCollision(void);
	virtual ~CDirectCollision(void);

	virtual void Generate();

	void SetCentral( std::string fileName );
	void SetCompanion( std::string fileName );
	void SetCollision( double zDistance, double zVelocity, double xOffCenter );
	void SetCollision2( double px, double py, double pz, 
		double vx, double vy, double vz );

protected:

	std::string m_centralXml, m_companionXml;
	double m_zDistance, m_zVelocity, m_xOffCenter;
	double m_px, m_py, m_pz, m_vx, m_vy, m_vz;
	bool m_bColl2;
};

#endif // _ICSLIB_DIRECTCOLLISION_H
