/*************************************************************************************
 *
 *  keplerencounter.h:  set system for keplerian encounter
 *
 *  Copyright (c) 2007 Jakub Schwarzmeier
 *  University of West Bohemia, Department of General Physics
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or (at
 *  your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ************************************************************************/

#ifndef _ICSLIB_KEPLERENCOUNTER_H
#define _ICSLIB_KEPLERENCOUNTER_H

#include "../../src/lib/includes.h"

#include "encounter.h"
#include "../../ext/src/astronomy/kepler.h"

class CKeplerEncounter: public CEncounter
{
public:

	CKeplerEncounter();

	void SetCentral( std::string fileName );
	void SetCompanion( std::string fileName );

	void SetCollision( double a, double e, double trueAnomaly );

	virtual void Generate();

protected:

	std::string m_centralXml, m_companionXml;
	CKepler m_kepler;
};

#endif // _ICSLIB_KEPLERENCOUNTER_H
