/*************************************************************************************
 *
 *  includes.h:  include include files that are changed infrequently
 *
 *  Copyright (c) 2007 Jakub Schwarzmeier
 *  University of West Bohemia, Department of General Physics
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or (at
 *  your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ************************************************************************/

#ifndef _ICSLIB_INCLUDES_H
#define _ICSLIB_INCLUDES_H

//  CRT
#define _USE_MATH_DEFINES
#include <math.h>
#include <stdio.h>

//  STL
#include <string>
#include <fstream>
#include <iomanip>
#include <iostream>

//  GSL
#include <gsl/gsl_spline.h> 
#include <gsl/gsl_math.h>
#include <gsl/gsl_integration.h> 
#include <gsl/gsl_rng.h> 

#ifndef NULL
	#define NULL 0
#endif

//  LIBXML
#include <libxml/xmlmemory.h>
#include <libxml/parser.h>
#include <libxml/xpath.h>

//  JAKUB
#include <schwarzmeier/xmllib.h>
#include <schwarzmeier/excel.h>

#endif // _ICSLIB_INCLUDES_H
