/*************************************************************************************
 *
 *  plotout.h:  output values for plotting to gnuplut and Excel
 *
 *  Copyright (c) 2007 Jakub Schwarzmeier
 *  University of West Bohemia, Department of General Physics
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or (at
 *  your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ************************************************************************/

#ifndef _ICSLIB_PLOTOUT_H
#define _ICSLIB_PLOTOUT_H

#include "includes.h"

#ifndef _MSC_VER
	#ifndef USE_EXCEL
		#define USE_EXCEL 1
	#endif
#endif

class CPlotOut
{
public:

	CPlotOut();
	~CPlotOut();

	void Create( std::string outputName );
	void StartPlot(std::string xlabel, std::string ylabel);
	void StopPlot();
	void Plot(double x, double y);

protected:

	std::string m_outputName;

	std::ofstream m_plotStream;
	std::string m_xlabel, m_ylabel;

	#if (USE_EXCEL == 1)

		Excel::_ApplicationPtr m_pExcel;
		Excel::_WorkbookPtr m_pWorkbook;
		Excel::_WorksheetPtr m_pWorksheet;
		Excel::_ChartPtr m_pChart;
		int m_row;
		int m_column;
	#endif
};

#endif //  _ICSLIB_PLOTOUT_H
