/*************************************************************************************
 *
 *  plummermodel.cpp:  relizes Plummer's model
 *
 *  Copyright (c) 2007 Jakub Schwarzmeier
 *  University of West Bohemia, Department of General Physics
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or (at
 *  your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ************************************************************************/

#include "../includes.h"

#include "../../../inc/ics/plummermodel.h"

CPlummerModel::CPlummerModel()
{
	m_name = "PlummerModel";
}

double CPlummerModel::rho( double r )
{
    return ( m_totalMass / ( 4.0 * M_PI ) ) * ( ( 3.0 * m_a * m_a ) / pow( r * r + m_a * m_a, 5.0 / 2.0 ) );
}
