/*************************************************************************************
 *
 *  harassment.cpp:  defines the entry point for the harrasment application
 *
 *  Copyright (c) 2007 Jakub Schwarzmeier
 *  University of West Bohemia, Department of General Physics
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or (at
 *  your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ************************************************************************/

#include "../includes.h"

#include "../../inc/ics/directcollision.h"
#include "../../inc/ics/keplerencounter.h"


int main(int argc, char *argv[])
{
	char szName[128];

	for(int i = 1; i <= 75; i++)
	{
		double nx = (((double)::rand() / RAND_MAX) > 0.5) ? -1.0 : 1.0;
		double ny = (((double)::rand() / RAND_MAX) > 0.5) ? -1.0 : 1.0;
		double nz = (((double)::rand() / RAND_MAX) > 0.5) ? -1.0 : 1.0;

		double px = nx * ((double)::rand() / RAND_MAX)*100;
		double py = ny * ((double)::rand() / RAND_MAX)*100;
		double pz = nz * ((double)::rand() / RAND_MAX)*100;

		double nvx = (((double)::rand() / RAND_MAX) > 0.5) ? -1.0 : 1.0;
		double nvy = (((double)::rand() / RAND_MAX) > 0.5) ? -1.0 : 1.0;
		double nvz = (((double)::rand() / RAND_MAX) > 0.5) ? -1.0 : 1.0;

		double vx = nvx * ((double)::rand() / RAND_MAX)*2000;
		double vy = nvy * ((double)::rand() / RAND_MAX)*2000;
		double vz = nvz * ((double)::rand() / RAND_MAX)*2000;

		sprintf( szName, "d:\\kuzmin%d.xml", i);

		{
		CDirectCollision dc;

		dc.SetCentral( szName );
		dc.SetCompanion( "D:\\pl.xml" );
		dc.SetCollision2( px/10.0, py/10.0, pz/10.0, vx/300.0, vy/300.0, vz/300.0 );

		sprintf( szName, "d:\\kuzmin%d", i+1);
		dc.SetOutputName( szName );

		dc.Generate( );
		}
	}

}
