# Plummer's model -- analytic and numeric comparison

set size 0.7, 0.75

# cumulative mass
set xlabel "r"
set ylabel "m"
plot [0.0:10] (x**3.0)*(((x**2.0) + 1.0 )**-1.5) title "Analytic", "e:\\plummer-m(r).txt" title "Numeric" with lines

# potential
potential(r)=-1.0*((r**2.0) + 1.0 )**-0.5
set xlabel "r"
set ylabel "phi"
plot [0.0:10] potential(x) title "Analytic", "e:\\plummer-phi(r).txt" title "Numeric" with lines

# rho( phi )
set xlabel "phi"
set ylabel "rho"
plot [0.0:10.0] (3.0/(4.0*pi))*((potential(x))**5.0)

# f( phi )
set xlabel "phi"
set ylabel "f"
plot [-1.0:0] 1.56e-1*((abs(x))**(7.0/2.0)) title "Analytic", "e:\\plummer-f(phi).txt" title "Numeric" with lines
